Last Comment Bug 803385 - Only dereference the cookie value if it is not undefined
: Only dereference the cookie value if it is not undefined
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 19
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 18:15 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2012-12-21 14:04 PST (History)
2 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Patch (1.25 KB, patch)
2012-10-18 18:15 PDT, Jared Wein [:jaws] (please needinfo? me)
felipc: review+
gavin.sharp: approval‑mozilla‑aurora+
gavin.sharp: approval‑mozilla‑beta+
Details | Diff | Review

Description Jared Wein [:jaws] (please needinfo? me) 2012-10-18 18:15:16 PDT
Created attachment 673059 [details] [diff] [review]
Patch

At http://hg.mozilla.org/mozilla-central/annotate/cf1bbed46731/toolkit/components/social/WorkerAPI.jsm#l72 we should only dereference the |value| variable if it is not undefined.

Using destructuring assignment, if the string doesn't contain an "=" character, then the |value| variable will have undefined.

This bug was fixed by the patch for bug 787767 on mozilla-central(19), so this patch is only designed for uplift to mozilla-aurora(18) and mozilla-beta(17).

On requesting uplift:
This is a minor code change that will only affect the Social API. This has been tested locally and is under test on mozilla-central. There are no expected regressions with this change and there are no string changes either.
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-10-20 10:04:01 PDT
https://hg.mozilla.org/mozilla-central/rev/9af9ca79f026

Should this have a test?
Comment 3 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-12-21 14:04:02 PST
Tagging [qa-] as it appears the change here is low risk and doesn't need QA verification. Jared, please remove [qa-] and add the verifyme keyword if there's something you want tested here.

Note You need to log in before you can comment on or make changes to this bug.